Subject: bug#24707: 25.1; Window shrinks automatically after opening at normal size

From: "Ivor Durham" <[email-masked]>
Date: Wed, 26 Oct 2016 12:30:21 -0700

So I can think of a couple of ways to try to diagnose this:
- Enable telnet into the workstation and use it instead of ssh so I can
capture unencrypted network traffic with Wireshark to see if the X protocol
communication reveals anything unusual.
- Try to build a debugging version of Emacs 25.1 locally, reproduce the
problem and then use gdb to break on whatever resize calls there are to find
what parameters are being passed and where they come from. I know nothing
about the Emacs implementation so this could be a bit of a time sink.

Any other ideas on how I should approach this?

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Wednesday, October 26, 2016 11:30 AM
To: Ivor Durham
Cc: [email-masked]; [email-masked]
Subject: Re: bug#24707: 25.1; Window shrinks automatically after opening at
normal size

> From: "Ivor Durham" <[email-masked]>
> Cc: <[email-masked]>,
> 	<[email-masked]>
> Date: Wed, 26 Oct 2016 10:06:14 -0700
> 
> Is it possible that the issue is that I'm seeing the problem on a 
> remote display not the local display? If I am logged in locally at the 
> workstation, the window opens normally. However, if I login over the 
> LAN using SecureCRT on a Windows 10 system running VcXsrv then the resize
problem occurs.

That's why I think it's a different problem, specific to that server and/or
the rest of your remote setup.